"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class LoggingService {
    constructor(iamService, loggingRepository) {
        this._iamService = iamService;
        this._loggingRepository = loggingRepository;
    }
    get iamService() {
        return this._iamService;
    }
    get loggingRepository() {
        return this._loggingRepository;
    }
    async getLogsForCorrelation(identity, correlationId, logLevel) {
        return this.loggingRepository.getLogsForCorrelation(correlationId, logLevel);
    }
    async getLogsForProcessInstance(identity, correlationId, processModelId, logLevel) {
        return this.loggingRepository.getLogsForProcessInstance(correlationId, processModelId, logLevel);
    }
    async writeLogForProcessInstance(correlationId, processModelId, logLevel, message, timestamp) {
        await this.loggingRepository.writeLogForProcessInstance(correlationId, processModelId, logLevel, message, timestamp);
    }
    async writeLogForFlowNodeInstance(correlationId, processModelId, flowNodeInstanceId, logLevel, message, timestamp) {
        await this.loggingRepository.writeLogForFlowNodeInstance(correlationId, processModelId, flowNodeInstanceId, logLevel, message, timestamp);
    }
}
exports.LoggingService = LoggingService;

//# sourceMappingURL=logging_service.js.map
