import { ILoggingRepository, ILoggingService, LogEntry, LogLevel } from '@process-engine/logging_api_contracts';
import { IIAMService, IIdentity } from '@essential-projects/iam_contracts';
export declare class LoggingService implements ILoggingService {
    private _iamService;
    private _loggingRepository;
    constructor(iamService: IIAMService, loggingRepository: ILoggingRepository);
    private readonly iamService;
    private readonly loggingRepository;
    getLogsForCorrelation(identity: IIdentity, correlationId: string, logLevel?: LogLevel): Promise<Array<LogEntry>>;
    getLogsForProcessInstance(identity: IIdentity, correlationId: string, processModelId: string, logLevel?: LogLevel): Promise<Array<LogEntry>>;
    writeLogForProcessInstance(correlationId: string, processModelId: string, logLevel: LogLevel, message: string, timestamp: Date): Promise<void>;
    writeLogForFlowNodeInstance(correlationId: string, processModelId: string, flowNodeInstanceId: string, logLevel: LogLevel, message: string, timestamp: Date): Promise<void>;
}
